#include <iostream>
#include <fstream>
#include <ctime>
#include <cstdio>
#include <vector>
#include <algorithm>

#define pb push_back
#define mp make_pair
#define F first
#define S second

using namespace std;

typedef pair<int, int> pii;
typedef vector<int> vi;
typedef long long ll;

int main() {
    ios_base::sync_with_stdio(0);
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
    int n, m;
    scanf("%d %d", &n, &m);
    vector<pii> dist(m + 1);
    for (int i = 1; i <= m; ++i)
        scanf("%d", &dist[i].F), dist[i].S = i;
    sort(dist.begin(), dist.end());
    int l = 1, r = int(1e9) + 1000;
    int fdist;
    while (l <= r) {
        int x = (l + r) / 2;
        int cur = 0;
        bool bad = 0;
        for (int j = 0; j < n; ++j) {
            int l = cur + 1, r = m;
            int ncur = -1;
            while (l <= r) {
                int mid = (l + r) / 2;
                if (dist[mid].F - dist[cur].F >= x) {
                    ncur = mid;
                    r = mid - 1;
                } else
                    l = mid + 1;
            }
            if (ncur == -1) {
                bad = 1;
                break;
            }
            cur = ncur;
        }
        if (bad)
            r = x - 1;
        else {
            fdist = x;
            l = x + 1;
        }
    }
    int cur = 0;
    for (int j = 0; j < n; ++j) {
        int l = cur + 1, r = m;
        int ncur = -1;
        while (l <= r) {
            int mid = (l + r) / 2;
            if (dist[mid].F - dist[cur].F >= fdist) {
                ncur = mid;
                r = mid - 1;
            } else
                l = mid + 1;
        }
        cur = ncur;
        printf("%d ", dist[cur].S);
    }
    return 0;
}
